#include <minigui.ch>

function movtos
    public flagop:=1,opfiltro:=ctod("  /  /    ")
    public mreg:=0,mmes
    mmes:={"ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","N0VIEMBRE","DICIEMBRE"}
    tiporec:={"ORIGINAL","COPIA"}
    select fechas
    *set filter to fecha_pago>=date()-28
    set filter to year(fecha_pago)>=2007
    go top
    select movtos
    dbsetorder(2)
    set relation to numero into ahorros
    set relation to concepto into concepto additive
    set relation to aval into avales additive
    set filter to fecha = ctod("  /  /    ") .and. cantidad > 0
    go top
    IF !IsWindowDefined(movtos) 
       Load Window movtos
       Center Window movtos
       Activate Window movtos
    EndIf
return




function ponfiltro
   declare window movtos
   opfiltro:=ctod("  /  /    ")
   opfiltro:=movtos.combo_1.value
   select fechas
   mreg:=fechas->(recno())
   select movtos
   set filter to fecha = opfiltro .and. cantidad > 0 &&.and. (concepto = '02' .or. concepto='04')
   go top
   movtos.browse_1.value:=movtos->(recno())
   movtos.browse_1.refresh
return

function filtromovif
   declare window movtos
   opfiltro:=ctod("  /  /    ")
   opfiltro:=movtos.combo_1.value
   select fechas
   mreg:=fechas->(recno())
   select movtos
   set filter to fecha = opfiltro .and. cantidad > 0 .and. concepto = movtos.combo_2.value
   go top
   movtos.browse_1.value:=movtos->(recno())
   movtos.browse_1.refresh
return


function apagaboton
   declare window ponmov
   declare window movtos
   if ponmov.combo_1.value = '02'
      ponmov.text_7.enabled:=.t.
      ponmov.text_5.enabled:=.t.
   else
      ponmov.text_7.enabled:=.f.
      ponmov.text_5.enabled:=.f.
   endif
return

function altamovis
   parameters flagop
   declare window movtos
   IF !IsWindowDefined(ponmov) 
      Load Window ponmov
      Center Window ponmov
      select concepto
      seek movtos.combo_2.value
      ponmov.combo_1.value:=concepto->(recno())
      select movtos
      Activate Window ponmov
   EndIf
return

function buscatrab
    declare window ponmov
    select ahorros
    seek ponmov.text_2.value
    if !found()
       MsgInfo('El ahorrador no existe','Mensaje del Sistema')
       ponmov.text_3.value:=space(60)
       ponmov.text_2.setfocus
       return
    else
      if ahorros->numero == ponmov.text_2.value
         ponmov.text_3.value:=alltrim(ahorros->nombres)+' '+alltrim(ahorros->ape_pater)+' '+alltrim(ahorros->ape_mater)
         ponmov.text_4.setfocus
      else
         MsgInfo('El ahorrador no existe','Mensaje del Sistema')
 	 ponmov.text_3.value:=space(60)
         ponmov.text_2.setfocus
         return
      endif
    endif
return


function buscaval
    declare window ponmov
    select ahorros
    seek ponmov.text_5.value
    if !found()
       MsgInfo('El ahorrador no existe','Mensaje del Sistema')
       ponmov.text_6.value:=space(60)
       ponmov.text_5.setfocus
       return
    else
      if ahorros->numero == ponmov.text_5.value
         ponmov.text_6.value:=alltrim(ahorros->nombres)+' '+alltrim(ahorros->ape_pater)+' '+alltrim(ahorros->ape_mater)
      else
         MsgInfo('El ahorrador no existe','Mensaje del Sistema')
	 ponmov.text_6.value:=space(60)
         ponmov.text_5.setfocus
         return
      endif
    endif
return


function pondatosm
   declare window movtos
   declare window ponmov
   hWnd := GetFormHandle('ponmov')
   SetTransparent(hWnd, nTra) 
   if flagop = 1
      ponmov.text_1.value:=movtos.combo_1.value
   else
      ponmov.text_1.value:=movtos->fecha
      ponmov.text_2.value:=movtos->numero
      ponmov.text_3.value:=alltrim(ahorros->nombres)+' '+alltrim(ahorros->ape_pater)+' '+alltrim(ahorros->ape_mater)
      ponmov.text_4.value:=movtos->cantidad
      ponmov.text_5.value:=movtos->aval
      ponmov.text_6.value:=alltrim(avales->nombres)+' '+alltrim(avales->ape_pater)+' '+alltrim(avales->ape_mater)
      ponmov.text_7.value:=movtos->descuento
      ponmov.text_8.value:=movtos->folio
      select concepto
      seek movtos->concepto
      ponmov.combo_1.value:=concepto->(recno())
      apagaboton()
      select movtos
   endif
return

function grabamovi
   declare window ponmov
   ponmov.checkbtn_1.visible:=.t.
   ponmov.checkbtn_2.visible:=.t.
   ponmov.button_1.enabled:=.f.
   select movtos
   if flagop = 1
      select folios
      if ponmov.combo_1.value='01'
         go 1
      else
         if ponmov.combo_1.value='02'
	    go 2
	 else
	    if ponmov.combo_1.value='04'
	       go 4
	    endif
	 endif
      endif
      do while .t.
         if folios->(rlock())
            ponmov.text_8.value:=folios->folio+1
	    folios->folio:=ponmov.text_8.value
            folios->(dbunlock())
	    exit
	 endif
      enddo
      select movtos
      append blank
   else
      do while .t.
         if movtos->(rlock())
            exit
	 endif
      enddo
   endif
   movtos->numero:=ponmov.text_2.value
   movtos->fecha:=ponmov.text_1.value
   movtos->concepto:=ponmov.combo_1.value
   movtos->cantidad:=ponmov.text_4.value
   movtos->aval:=ponmov.text_5.value
   movtos->folio:=ponmov.text_8.value
   movtos->(dbunlock())
   select ahorros
   seek ponmov.text_2.value
   if found()
      do while .t.
         if ahorros->(rlock())
	    ahorros->descuento:=ponmov.text_7.value
            ahorros->(dbunlock())
	    exit
	 endif
      enddo
   endif
   select movtos
   movtos.browse_1.refresh
return


function ponvnuevo
   declare window ponmov
   flagop = 1
   ponmov.checkbtn_1.visible:=.f.
   ponmov.checkbtn_2.visible:=.f.
   ponmov.button_1.enabled:=.t.
   ponmov.text_2.value:=space(4)
   ponmov.text_3.value:=space(60)
   ponmov.text_4.value:=0
   ponmov.text_7.value:=0
   ponmov.text_5.value:=space(4)
   ponmov.text_6.value:=space(60)
   ponmov.text_8.value:=0
   ponmov.text_2.setfocus
return


function imprimevale
   declare window ponmov
   do case
      case ponmov.combo_1.value='01'
         imprimeaho(1)
      case ponmov.combo_1.value='02'
         imprimepre()
      case ponmov.combo_1.value='04'
         imprimeaho(2)
   endcase

return


function imprimepre
   SELECT PRINTER DEFAULT ;
   ORIENTATION PRINTER_ORIENT_LANDSCAPE;
   PAPERSIZE	PRINTER_PAPER_A5;
   QUALITY PRINTER_RES_MEDIUM 
   SELECT PRINTER DIALOG TO lSuccess PREVIEW
   n:=4
   li:=35
   If lSuccess == .T.
      start printdoc
         for y=1 to 2
   	    start printpage
               @ 10,7 print rectangle to 135,200 penwidth .5
               @ 11,9  print image "logo.jpg" width 20 height 20
               @ 11,178 print image "comapa.bmp" width 20 height 20
               @ 11,100 print "COMISION MUNICIPAL DE" Font "Arial" size 14 BOLD CENTER
	       @ 20,100 print "AGUA POTABLE Y ALCANTARILLADO" Font "Arial" size 14 BOLD CENTER
               @ 31,7 print line to 31,200 penwidth .5
               @ 33,9 print "FOLIO :"+strzero(ponmov.text_8.value,10) Font "Arial" size 10 BOLD 
               @ 33,130 print "BUENO POR $_______________________" Font "Arial" size 10 
               @ 33,198 print transform(ponmov.text_4.value,'999,999,999.99') Font "Arial" size 10 right
               @ 55,15 print "RECIBI DE LA CAJA DE AHORROS DEL PERSONAL SINDICALIZADO" Font "Arial" size 10 
               @ 65,15 print "LA CANTIDAD DE :_______________________________________________________________________" Font "Arial" size 10 
               @ 65,50 print letras(ponmov.text_4.value) Font "Arial" size 10 
               @ 75,15 print "EN CALIDAD DE PReSTAMO CON EL "+ALLTRIM(STR(3))+"% DE INTERESES CATORCENALES" Font "Arial" size 10
	       @ 85,15 print "AUTORIZO QUE EN CASO DE MI RETIRO SE ME DESCUENTE LA DEUDA DE MI LIQUIDACION" Font "Arial" size 10 
               @ 105,60 print "NUEVO LAREDO, TAM., A ________ DE ____________________ DE ________" Font "Arial" size 10 
               @ 105,111 print day(ponmov.text_1.value) font "Arial" size 10 center
               @ 105,146 print mmes[month(ponmov.text_1.value)] font "Arial" size 10 center
               @ 105,175 print year(ponmov.text_1.value) font "Arial" size 10 
               @ 120,15 print "_________________________________" font "Arial" size 10 
               @ 120,120 print "_______________________________________" font "Arial" size 10 
               @ 120,45 print ponmov.text_5.value+' '+alltrim(ponmov.text_6.value) font "Arial" size 9 center bold
               @ 120,160 print ponmov.text_2.value+' '+alltrim(ponmov.text_3.value) font "Arial" size 9 center bold
               @ 125,40 print "AVAL" font "Arial" size 10 
	       @ 125,160 print "RECIBI DE CONFORMIDAD" font "Arial" size 10 center 
               @ 130,15 print tiporec[Y] font "Arial" size 10
               @ 130,100 print ponmov.text_2.value font "Arial" size 12 bold center
            end printpage
	 next
      end printdoc
   endif
return


function imprimeaho
   parameters opaho
   tipomovin:={"AHORRO","ABONO A PRESTAMO"}
   SELECT PRINTER DEFAULT ;
   ORIENTATION PRINTER_ORIENT_LANDSCAPE;
   PAPERSIZE	PRINTER_PAPER_A5;
   QUALITY PRINTER_RES_MEDIUM 
   SELECT PRINTER DIALOG TO lSuccess PREVIEW
   n:=4
   li:=35
   If lSuccess == .T.
      start printdoc
         for y=1 to 2
   	    start printpage
               @ 10,7 print rectangle to 135,200 penwidth .5
               @ 11,9  print image "logo.jpg" width 20 height 20
               @ 11,178 print image "comapa.bmp" width 20 height 20
               @ 11,100 print "COMISION MUNICIPAL DE" Font "Arial" size 14 BOLD CENTER
	       @ 20,100 print "AGUA POTABLE Y ALCANTARILLADO" Font "Arial" size 14 BOLD CENTER
               @ 31,7 print line to 31,200 penwidth .5
               @ 33,9 print "FOLIO :"+strzero(ponmov.text_8.value,10) Font "Arial" size 10 BOLD 
               @ 33,130 print "BUENO POR $_______________________" Font "Arial" size 10 
               @ 33,198 print transform(ponmov.text_4.value,'999,999,999.99') Font "Arial" size 10 right
               @ 55,15 print "RECIBI DE      :_______________________________________________________________________" Font "Arial" size 10 
               @ 55,45 print ponmov.text_2.value+' '+alltrim(ponmov.text_3.value) font "Arial" size 10 bold
               @ 65,15 print "LA CANTIDAD DE :_______________________________________________________________________" Font "Arial" size 10 
               @ 65,50 print letras(ponmov.text_4.value) Font "Arial" size 10 
               @ 75,15 print "POR CONCEPTO DE :_______________________________________________________________________" Font "Arial" size 10
               @ 75,54 print tipomovin[opaho] font "Arial" size 10 
	       @ 82,15 print "__________________________________________________________________________________________" Font "Arial" size 10
               @ 105,60 print "NUEVO LAREDO, TAM., A ________ DE ____________________ DE ________" Font "Arial" size 10 
               @ 105,111 print day(ponmov.text_1.value) font "Arial" size 10 center
               @ 105,146 print mmes[month(ponmov.text_1.value)] font "Arial" size 10 center
               @ 105,175 print year(ponmov.text_1.value) font "Arial" size 10 
               @ 120,120 print "_______________________________________" font "Arial" size 10 
	       @ 125,160 print "RECIBI DE CONFORMIDAD" font "Arial" size 10 center 
               @ 130,15 print tiporec[Y] font "Arial" size 10
               @ 130,100 print ponmov.text_2.value font "Arial" size 12 bold center
            end printpage
	 next
      end printdoc
   endif
return


